using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Data.Linq;

namespace AUDIOTEKA
{
    public partial class Artists
    {
        public static IEnumerable<Artist> Select()
        {
            DataClassesDataContext db = new DataClassesDataContext();
            return from art in db.Artists
                   orderby art.LastName
                   select art;
        }
        public static IEnumerable<Artist> SelectPage(int startRowIndex, int maximumRows)
        {
            return Select().Skip(startRowIndex).Take(maximumRows);
        }
        public static int SelectCount()
        {
            return Select().Count();
        }
    }
}
